Qt 5.6 | Qt Quick | QML Types | CanvasPixelArray QML Type

Qt 5.6.3 Reference Documentation

# CanvasPixelArray QML Type

Provides ordered and indexed access to the components of each pixel in image data More...

Import Statement: | import QtQuick 2.5

- List of all members, including inherited members

## Properties

- length : int

## Detailed Description

The CanvasPixelArray object provides ordered, indexed access to the color components of each pixel of the image data. The CanvasPixelArray can be accessed as normal Javascript array.

See also CanvasImageData and W3C 2d context standard for PixelArray.

## Property Documentation

length : int

The CanvasPixelArray object represents h×w×4 integers which w and h comes from CanvasImageData. The length attribute of a CanvasPixelArray object must return this h×w×4 number value. This property is read only.